/// <reference types="react" />
export type VirtualOverflowVisibleRect = {
    top: number;
    left: number;
    bottom: number;
    right: number;
    contentOffsetTop: number;
    contentOffsetLeft: number;
    contentVisibleHeight: number;
    contentVisibleWidth: number;
};
type CalcVisibleRectFn = (element: HTMLElement, frameIndex: number) => VirtualOverflowVisibleRect;
export type UseVirtualOverflowParamsV = {
    containerRef: React.MutableRefObject<HTMLElement>;
    itemsLength: number;
    itemHeight: number;
    overscanItemsCount?: number;
    renderItem: (indexIndex: number, contentTopOffset: number) => React.ReactNode;
    calcVisibleRect?: CalcVisibleRectFn;
};
export declare function virtualOverflowCalcVisibleRect(element: HTMLElement): {
    top: number;
    left: number;
    bottom: number;
    right: number;
    contentOffsetTop: number;
    contentOffsetLeft: number;
    contentVisibleHeight: number;
    contentVisibleWidth: number;
};
export declare function virtualOverflowCalcItemsV(visibleRect: VirtualOverflowVisibleRect, itemHeight: number, overscanItemsCount: number, itemsLength: number): [number, number];
export declare function useVirtualOverflowV(params: UseVirtualOverflowParamsV, deps?: any[]): import("react").ReactNode[];
export {};
